
Redmine - Defect #3914

Version information displayed in Gantt chart regardeless of "Assigned to" field

2009-09-24 08:50 - Vitaly Klimov

Status: New Start date: 2009-09-24

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Right now Gantt chart displays version information relative to the user currently logged in even if filter is set to different user

(Assigned to field)

So, even if user in "Assigned to" filter does not belong to the project, version information for this project displayed anyway.

It seems that Version.find filter should be updated to exclude such possibility

I am using Redmine r2824 with Rails 2.2.2 and Ruby 1.8.7

History

#1 - 2010-01-11 12:57 - Vitaly Klimov

It seems that i was not specific enough while describing this issue - the problem show up when trying to use filter 'Assigned to' in global Gantt chart

(/issues/gantt/). Results on Gantt chars include versions in projects to which currently logged user belongs, not the user defined in 'Assigned to' filter.

For example, if user B is logged in and goes to /issues/gantt/ and then uses filter 'Assigned to' with user A as parameter then he will get tasks for

user A together with versions info for projects in which user B participates.

#2 - 2010-03-10 10:58 - Michel Albert

+1

#3 - 2010-10-03 15:13 - Mischa The Evil

- Category changed from Issues to Gantt
